Skip to content
Get started

Core

ModelsExpand Collapse
ErrorData { kind, message, scope }
kind: ErrorKind

General error category

Useful to match against for clients that require custom logic depending on the type of error encountered

One of the following:
"entity_not_found"

Route matched, but the requested entity does not exist or could not be found

"path_invalid"

Invalid path parameter

"path_unknown"

Path 404s for accept json responses

"path_parameter_invalid"

Invalid path parameter

"query_invalid"

Invalid query parameter

"query_parameter_invalid"

Query parameter was invalid (incorrect type, unknown enum value, etc)

"query_parameter_unknown"

Unrecognized query parameter

"query_parameter_missing"

A required query Parameter was not included or was empty

"json_invalid"

Invalid json body

"json_decode"

JSON body decode

"json_body_deserialize_failure"

JSON body deserialization

"content_type_unsupported"

Invalid Accept header in request

"internal"

Internal API server errors (5xx)

message: string

Error description

scope: ErrorScope

The scope/region of the error.

Clients may use this to determine how to handle an error message (e.g. log it to console or display it to the user).

One of the following:
"user"
"client"
"server"
ErrorDataVariants = ValidationErrorData { fields, kind, message, 2 more } | ErrorData { kind, message, scope }
One of the following:
ValidationErrorData { fields, kind, message, 2 more }
fields: Array<FieldValidationError { field, messages } >

Field names/paths that failed validation and their associated error messages

field: string

The name of the field which caused the error(s).

messages: Array<string>

One or more error messages

kind: "validation"

General error category

Useful to match against for clients that require custom logic depending on the type of error encountered

message: string

Error description

The region of the request where the validation failure(s) occurred

One of the following:
"header"
"query"
"path"
"body"
scope: ErrorScope

The scope/region of the error.

Clients may use this to determine how to handle an error message (e.g. log it to console or display it to the user).

One of the following:
"user"
"client"
"server"
ErrorData { kind, message, scope }
kind: ErrorKind

General error category

Useful to match against for clients that require custom logic depending on the type of error encountered

One of the following:
"entity_not_found"

Route matched, but the requested entity does not exist or could not be found

"path_invalid"

Invalid path parameter

"path_unknown"

Path 404s for accept json responses

"path_parameter_invalid"

Invalid path parameter

"query_invalid"

Invalid query parameter

"query_parameter_invalid"

Query parameter was invalid (incorrect type, unknown enum value, etc)

"query_parameter_unknown"

Unrecognized query parameter

"query_parameter_missing"

A required query Parameter was not included or was empty

"json_invalid"

Invalid json body

"json_decode"

JSON body decode

"json_body_deserialize_failure"

JSON body deserialization

"content_type_unsupported"

Invalid Accept header in request

"internal"

Internal API server errors (5xx)

message: string

Error description

scope: ErrorScope

The scope/region of the error.

Clients may use this to determine how to handle an error message (e.g. log it to console or display it to the user).

One of the following:
"user"
"client"
"server"
ErrorKind = "entity_not_found" | "path_invalid" | "path_unknown" | 10 more
  • entity_not_found - Route matched, but the requested entity does not exist or could not be found
  • path_invalid - Invalid path parameter
  • path_unknown - Path 404s for accept json responses
  • path_parameter_invalid - Invalid path parameter
  • query_invalid - Invalid query parameter
  • query_parameter_invalid - Query parameter was invalid (incorrect type, unknown enum value, etc)
  • query_parameter_unknown - Unrecognized query parameter
  • query_parameter_missing - A required query Parameter was not included or was empty
  • json_invalid - Invalid json body
  • json_decode - JSON body decode
  • json_body_deserialize_failure - JSON body deserialization
  • content_type_unsupported - Invalid Accept header in request
  • internal - Internal API server errors (5xx)
One of the following:
"entity_not_found"

Route matched, but the requested entity does not exist or could not be found

"path_invalid"

Invalid path parameter

"path_unknown"

Path 404s for accept json responses

"path_parameter_invalid"

Invalid path parameter

"query_invalid"

Invalid query parameter

"query_parameter_invalid"

Query parameter was invalid (incorrect type, unknown enum value, etc)

"query_parameter_unknown"

Unrecognized query parameter

"query_parameter_missing"

A required query Parameter was not included or was empty

"json_invalid"

Invalid json body

"json_decode"

JSON body decode

"json_body_deserialize_failure"

JSON body deserialization

"content_type_unsupported"

Invalid Accept header in request

"internal"

Internal API server errors (5xx)

ErrorResponse { data, error, status, status_text }
data: unknown

While the data key does still exist in error responses, it is guaranteed to be null.

Error information. Always set for unsuccessful responses

One of the following:
ValidationErrorData { fields, kind, message, 2 more }
fields: Array<FieldValidationError { field, messages } >

Field names/paths that failed validation and their associated error messages

field: string

The name of the field which caused the error(s).

messages: Array<string>

One or more error messages

kind: "validation"

General error category

Useful to match against for clients that require custom logic depending on the type of error encountered

message: string

Error description

The region of the request where the validation failure(s) occurred

One of the following:
"header"
"query"
"path"
"body"
scope: ErrorScope

The scope/region of the error.

Clients may use this to determine how to handle an error message (e.g. log it to console or display it to the user).

One of the following:
"user"
"client"
"server"
ErrorData { kind, message, scope }
kind: ErrorKind

General error category

Useful to match against for clients that require custom logic depending on the type of error encountered

One of the following:
"entity_not_found"

Route matched, but the requested entity does not exist or could not be found

"path_invalid"

Invalid path parameter

"path_unknown"

Path 404s for accept json responses

"path_parameter_invalid"

Invalid path parameter

"query_invalid"

Invalid query parameter

"query_parameter_invalid"

Query parameter was invalid (incorrect type, unknown enum value, etc)

"query_parameter_unknown"

Unrecognized query parameter

"query_parameter_missing"

A required query Parameter was not included or was empty

"json_invalid"

Invalid json body

"json_decode"

JSON body decode

"json_body_deserialize_failure"

JSON body deserialization

"content_type_unsupported"

Invalid Accept header in request

"internal"

Internal API server errors (5xx)

message: string

Error description

scope: ErrorScope

The scope/region of the error.

Clients may use this to determine how to handle an error message (e.g. log it to console or display it to the user).

One of the following:
"user"
"client"
"server"
status: number

HTTP status. Successful responses are guaranteed to be < 400. Conversely, error responses are guaranteed to be >= 400.

formatuint16
minimum0
maximum65535
status_text: string

HTTP status text

ErrorScope = "user" | "client" | "server"
One of the following:
"user"
"client"
"server"
FieldValidationError { field, messages }
field: string

The name of the field which caused the error(s).

messages: Array<string>

One or more error messages

Interval { unit, value }

Interval period & size

One of the following:
"h"
"d"
"w"
"m"
"y"
value: number
formatint64
IntervalUnit = "h" | "d" | "w" | 2 more
One of the following:
"h"
"d"
"w"
"m"
"y"
ValidationErrorData { fields, kind, message, 2 more }
fields: Array<FieldValidationError { field, messages } >

Field names/paths that failed validation and their associated error messages

field: string

The name of the field which caused the error(s).

messages: Array<string>

One or more error messages

kind: "validation"

General error category

Useful to match against for clients that require custom logic depending on the type of error encountered

message: string

Error description

The region of the request where the validation failure(s) occurred

One of the following:
"header"
"query"
"path"
"body"
scope: ErrorScope

The scope/region of the error.

Clients may use this to determine how to handle an error message (e.g. log it to console or display it to the user).

One of the following:
"user"
"client"
"server"
ValidationFieldSource = "header" | "query" | "path" | "body"

The region of the request where the validation failure(s) occurred

One of the following:
"header"
"query"
"path"
"body"